## alien-arena 7.40

=== source/Makefile ===
#
# CodeRED Makefile
#

# Start of configurable options (boolean vars can be set to "yes" or "no").

# Which compiler to use.
CC?=gcc

# Enable compilation optimizations when "yes".
OPTIMIZED_CFLAGS?=yes

# Integer from 0 to 3, controls GCC's -O CFLAG.
OPTIM_LVL?=2

# Path to standard libraries (e.g. jpeg).
LOCALBASE?=/usr/local

# Path to X libraries (e.g. GL).
X11BASE?=/usr/X11R6

# Selects the component to build: ALL, CLIENT, or DEDICATED
BUILD?=ALL

# Adds DATADIR/LIBDIR (see below) to the data and library search path.
WITH_DATADIR?=no
WITH_LIBDIR?=no

# End of configurable options.

VERSION=		1.40

ARCH:=			$(shell uname -m)
OSTYPE:=		$(shell uname -s | tr A-Z a-z)

MOUNT_DIR=		./

BUILD_RELEASE_DIR=	release
BUILD_DEBUG_DIR=	debug
CLIENT_DIR=		$(MOUNT_DIR)/client
SERVER_DIR=		$(MOUNT_DIR)/server
REF_GL_DIR=		$(MOUNT_DIR)/ref_gl
COMMON_DIR=		$(MOUNT_DIR)/qcommon
UNIX_DIR=		$(MOUNT_DIR)/unix
GAME_DIR=		$(MOUNT_DIR)/game
NULL_DIR=		$(MOUNT_DIR)/null
ARENA_DIR=		$(GAME_DIR)

ifeq ($(ARCH),x86_64)
	_LIB := lib64
else
	_LIB := lib
endif

BASE_CFLAGS=$(CFLAGS) -Dstricmp=strcasecmp -D_stricmp=strcasecmp -I$(X11BASE)/include -fno-strict-aliasing -fmerge-constants -DHAVE_CURL -lpthread

# DATADIR / LIBDIR support.

PREFIX?=/usr/local

ifeq ($(strip $(WITH_DATADIR)),yes)
DATADIR?=$(PREFIX)/share/alienarena
BASE_CFLAGS+=-DDATADIR='\"$(DATADIR)\"'
endif

ifeq ($(strip $(WITH_LIBDIR)),yes)
LIBDIR?=$(PREFIX)/lib/alienarena
BASE_CFLAGS+=-DLIBDIR='\"$(LIBDIR)\"'
endif

RELEASE_CFLAGS=$(BASE_CFLAGS)

ifeq ($(strip $(OPTIMIZED_CFLAGS)),yes)
RELEASE_CFLAGS+=-O$(OPTIM_LVL) -fomit-frame-pointer -fexpensive-optimizations -ffast-math

ifeq ($(OSTYPE),linux)
ifeq ($(ARCH),x86_64)
	RELEASE_CFLAGS += -march=k8
else
ifeq ($(ARCH),i686)
	RELEASE_CFLAGS += -march=i686
else
ifeq ($(ARCH),i586)
	RELEASE_CFLAGS += -march=i586
else
ifeq ($(ARCH),i486)
	RELEASE_CFLAGS += -march=i486
else
ifeq ($(ARCH),i386)
	RELEASE_CFLAGS += -march=i386
endif
endif
endif
endif
endif
endif
endif

ARENA_CFLAGS=-DARENA

DEBUG_CFLAGS=$(BASE_CFLAGS) -g -ggdb

LDFLAGS+=-lm
# In FreeBSD, dlopen() is in libc.
ifeq ($(OSTYPE),linux)
LDFLAGS+=-ldl
endif

GLXLDFLAGS=-L$(X11BASE)/$(_LIB) -L$(LOCALBASE)/$(_LIB) -lX11 -lXext -lXxf86dga -lXxf86vm -lm -ljpeg -lGL -lGLU

SHLIBEXT=so
SHLIBCFLAGS=-fPIC
SHLIBLDFLAGS=-shared

OPPENALCFLAGS+=$(shell pkg-config --cflags openal)

VORBISCFLAGS+=$(shell pkg-config --cflags vorbisfile)
VORBISLDFLAGS=$(shell pkg-config --libs vorbisfile)

CURLCFLAGS=$(shell curl-config --cflags)
CURLLDFLAGS=$(shell curl-config --libs)

JPEGLDFLAGS=-ljpeg

DO_CC=$(CC) $(CFLAGS) -o $@ -c $<
DO_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) -o $@ -c $<
DO_DED_CC=$(CC) $(CFLAGS) -DDEDICATED_ONLY -o $@ -c $<
DO_DED_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) -DDEDICATED_ONLY -DBUFFER_DEBUG -o $@ -c $<
DO_O_CC=$(CC) $(CFLAGS) -O -o $@ -c $<
DO_SHLIB_CC=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<
DO_SHLIB_O_CC=$(CC) $(CFLAGS) -O $(SHLIBCFLAGS) -o $@ -c $<
DO_SHLIB_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<
DO_GL_SHLIB_CC=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<
DO_GL_SHLIB_O_CC=$(CC) $(CFLAGS) -O $(SHLIBCFLAGS) -o $@ -c $<
DO_AS=$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<
DO_SHLIB_AS=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<


DO_ARENA_SHLIB_CC=$(CC) $(CFLAGS) $(ARENA_CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<

#############################################################################
# SETUP AND BUILD
#############################################################################

TARGETS=$(BUILDDIR)/game.$(SHLIBEXT) \
	$(BUILDDIR)/arena/game.$(SHLIBEXT)

ifeq ($(strip $(BUILD)),ALL)
	TARGETS+=$(BUILDDIR)/crded \
		$(BUILDDIR)/crx
endif

ifeq ($(strip $(BUILD)),CLIENT)
	TARGETS+=$(BUILDDIR)/crx
endif

ifeq ($(strip $(BUILD)),DEDICATED)
	SDLSOUND=no
	TARGETS+=$(BUILDDIR)/crded
endif

build-release:
	@mkdir -p $(BUILD_RELEASE_DIR) \
		$(BUILD_RELEASE_DIR)/client \
		$(BUILD_RELEASE_DIR)/ded \
		$(BUILD_RELEASE_DIR)/ref_gl \
		$(BUILD_RELEASE_DIR)/game \
		$(BUILD_RELEASE_DIR)/arena
	$(MAKE) targets BUILDDIR=$(BUILD_RELEASE_DIR) CFLAGS="$(RELEASE_CFLAGS)"

build-debug:
	@mkdir -p $(BUILD_DEBUG_DIR) \
		$(BUILD_DEBUG_DIR)/client \
		$(BUILD_DEBUG_DIR)/ded \
		$(BUILD_DEBUG_DIR)/ref_gl \
		$(BUILD_DEBUG_DIR)/game \
		$(BUILD_DEBUG_DIR)/arena
	$(MAKE) targets BUILDDIR=$(BUILD_DEBUG_DIR) CFLAGS="$(DEBUG_CFLAGS)"

all: build-release build-debug

targets: $(TARGETS)

#############################################################################
# CLIENT/SERVER
#############################################################################

CODERED_OBJS = \
	$(BUILDDIR)/client/cl_ents.o \
	$(BUILDDIR)/client/cl_fx.o \
	$(BUILDDIR)/client/cl_input.o \
	$(BUILDDIR)/client/cl_inv.o \
	$(BUILDDIR)/client/cl_irc.o \
	$(BUILDDIR)/client/cl_main.o \
	$(BUILDDIR)/client/cl_parse.o \
	$(BUILDDIR)/client/cl_pred.o \
	$(BUILDDIR)/client/cl_tent.o \
	$(BUILDDIR)/client/cl_scrn.o \
	$(BUILDDIR)/client/cl_stats.o \
	$(BUILDDIR)/client/cl_view.o \
	$(BUILDDIR)/client/cl_http.o \
	$(BUILDDIR)/client/console.o \
	$(BUILDDIR)/client/keys.o \
	$(BUILDDIR)/client/menu.o \
	$(BUILDDIR)/client/snd_openal.o \
	$(BUILDDIR)/client/snd_file.o \
	$(BUILDDIR)/client/qal.o \
	$(BUILDDIR)/client/qmenu.o \
	\
	$(BUILDDIR)/client/cmd.o \
	$(BUILDDIR)/client/cmodel.o \
	$(BUILDDIR)/client/common.o \
	$(BUILDDIR)/client/crc.o \
	$(BUILDDIR)/client/cvar.o \
	$(BUILDDIR)/client/files.o \
	$(BUILDDIR)/client/mdfour.o \
	$(BUILDDIR)/client/net_chan.o \
	\
	$(BUILDDIR)/client/sv_ccmds.o \
	$(BUILDDIR)/client/sv_ents.o \
	$(BUILDDIR)/client/sv_game.o \
	$(BUILDDIR)/client/sv_init.o \
	$(BUILDDIR)/client/sv_main.o \
	$(BUILDDIR)/client/sv_send.o \
	$(BUILDDIR)/client/sv_user.o \
	$(BUILDDIR)/client/sv_world.o \
	\
	$(BUILDDIR)/client/q_shunix.o \
	$(BUILDDIR)/client/vid_menu.o \
	$(BUILDDIR)/client/vid_so.o \
	$(BUILDDIR)/client/sys_unix.o \
	$(BUILDDIR)/client/rw_unix.o \
	$(BUILDDIR)/client/glob.o \
	$(BUILDDIR)/client/net_udp.o \
	$(BUILDDIR)/client/qal_unix.o \
	\
	$(BUILDDIR)/client/q_shared.o \
	$(BUILDDIR)/client/pmove.o \
	\
	$(BUILDDIR)/ref_gl/r_bloom.o \
	$(BUILDDIR)/ref_gl/r_draw.o \
	$(BUILDDIR)/ref_gl/r_image.o \
	$(BUILDDIR)/ref_gl/r_light.o \
	$(BUILDDIR)/ref_gl/r_main.o \
	$(BUILDDIR)/ref_gl/r_mesh.o \
	$(BUILDDIR)/ref_gl/r_misc.o \
	$(BUILDDIR)/ref_gl/r_model.o \
	$(BUILDDIR)/ref_gl/r_math.o \
	$(BUILDDIR)/ref_gl/r_particle.o \
	$(BUILDDIR)/ref_gl/r_postprocess.o \
	$(BUILDDIR)/ref_gl/r_script.o \
	$(BUILDDIR)/ref_gl/r_shadowmaps.o \
	$(BUILDDIR)/ref_gl/r_shadows.o \
	$(BUILDDIR)/ref_gl/r_surf.o \
	$(BUILDDIR)/ref_gl/r_varray.o \
	$(BUILDDIR)/ref_gl/r_vbo.o \
	$(BUILDDIR)/ref_gl/r_warp.o \
	\
	$(BUILDDIR)/ref_gl/qgl_unix.o

REF_GL_GLX_OBJS = \
	$(BUILDDIR)/ref_gl/gl_glx.o


$(BUILDDIR)/crx : $(CODERED_OBJS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS)
	$(CC) $(CFLAGS) -o $@ $(CODERED_OBJS) $(LDFLAGS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS) $(GLXLDFLAGS) $(VORBISLDFLAGS) $(CURLLDFLAGS) $(JPEGLDFLAGS)

$(BUILDDIR)/client/cl_ents.o :    $(CLIENT_DIR)/cl_ents.c
	$(DO_CC)

$(BUILDDIR)/client/cl_fx.o :      $(CLIENT_DIR)/cl_fx.c
	$(DO_CC)

$(BUILDDIR)/client/cl_input.o :   $(CLIENT_DIR)/cl_input.c
	$(DO_CC)

$(BUILDDIR)/client/cl_inv.o :     $(CLIENT_DIR)/cl_inv.c
	$(DO_CC)
	
$(BUILDDIR)/client/cl_irc.o :     $(CLIENT_DIR)/cl_irc.c
	$(DO_CC)

$(BUILDDIR)/client/cl_main.o :    $(CLIENT_DIR)/cl_main.c
	$(DO_CC)

$(BUILDDIR)/client/cl_parse.o :   $(CLIENT_DIR)/cl_parse.c
	$(DO_CC)

$(BUILDDIR)/client/cl_pred.o :    $(CLIENT_DIR)/cl_pred.c
	$(DO_CC)

$(BUILDDIR)/client/cl_tent.o :    $(CLIENT_DIR)/cl_tent.c
	$(DO_CC)

$(BUILDDIR)/client/cl_scrn.o :    $(CLIENT_DIR)/cl_scrn.c
	$(DO_CC)
	
$(BUILDDIR)/client/cl_stats.o :    $(CLIENT_DIR)/cl_stats.c
	$(DO_CC)

$(BUILDDIR)/client/cl_view.o :    $(CLIENT_DIR)/cl_view.c
	$(DO_CC)

$(BUILDDIR)/client/console.o :    $(CLIENT_DIR)/console.c
	$(DO_CC)

$(BUILDDIR)/client/keys.o :       $(CLIENT_DIR)/keys.c
	$(DO_CC)

$(BUILDDIR)/client/menu.o :       $(CLIENT_DIR)/menu.c
	$(DO_CC) 
	
$(BUILDDIR)/client/snd_openal.o : $(CLIENT_DIR)/snd_openal.c
	$(DO_CC) $(OPENALCFLAGS)

$(BUILDDIR)/client/snd_file.o :    $(CLIENT_DIR)/snd_file.c
	$(DO_CC) $(VORBISCFLAGS)

$(BUILDDIR)/client/qal.o :        $(CLIENT_DIR)/qal.c
	$(DO_CC) $(OPENALCFLAGS)

$(BUILDDIR)/client/qmenu.o :      $(CLIENT_DIR)/qmenu.c
	$(DO_CC)

$(BUILDDIR)/client/cmd.o :        $(COMMON_DIR)/cmd.c
	$(DO_CC)

$(BUILDDIR)/client/cmodel.o :     $(COMMON_DIR)/cmodel.c
	$(DO_CC)

$(BUILDDIR)/client/common.o :     $(COMMON_DIR)/common.c
	$(DO_CC)

$(BUILDDIR)/client/crc.o :        $(COMMON_DIR)/crc.c
	$(DO_CC)

$(BUILDDIR)/client/cvar.o :       $(COMMON_DIR)/cvar.c
	$(DO_CC)

$(BUILDDIR)/client/files.o :      $(COMMON_DIR)/files.c
	$(DO_CC)

$(BUILDDIR)/client/mdfour.o :     $(COMMON_DIR)/mdfour.c
	$(DO_CC)

$(BUILDDIR)/client/net_chan.o :   $(COMMON_DIR)/net_chan.c
	$(DO_CC)

$(BUILDDIR)/client/q_shared.o :   $(GAME_DIR)/q_shared.c
	$(DO_CC)

$(BUILDDIR)/client/pmove.o :      $(COMMON_DIR)/pmove.c
	$(DO_CC)

$(BUILDDIR)/client/sv_ccmds.o :   $(SERVER_DIR)/sv_ccmds.c
	$(DO_CC)

$(BUILDDIR)/client/sv_ents.o :    $(SERVER_DIR)/sv_ents.c
	$(DO_CC)

$(BUILDDIR)/client/sv_game.o :    $(SERVER_DIR)/sv_game.c
	$(DO_CC)

$(BUILDDIR)/client/sv_init.o :    $(SERVER_DIR)/sv_init.c
	$(DO_CC)

$(BUILDDIR)/client/sv_main.o :    $(SERVER_DIR)/sv_main.c
	$(DO_CC)

$(BUILDDIR)/client/sv_send.o :    $(SERVER_DIR)/sv_send.c
	$(DO_CC)

$(BUILDDIR)/client/sv_user.o :    $(SERVER_DIR)/sv_user.c
	$(DO_CC)

$(BUILDDIR)/client/sv_world.o :   $(SERVER_DIR)/sv_world.c
	$(DO_CC)

$(BUILDDIR)/client/q_shunix.o :  $(UNIX_DIR)/q_shunix.c
	$(DO_O_CC)

$(BUILDDIR)/client/vid_menu.o :   $(CLIENT_DIR)/vid_menu.c
	$(DO_CC)

$(BUILDDIR)/client/vid_so.o :     $(UNIX_DIR)/vid_so.c
	$(DO_CC)

$(BUILDDIR)/client/sys_unix.o :  $(UNIX_DIR)/sys_unix.c
	$(DO_CC)

$(BUILDDIR)/client/rw_unix.o :  $(UNIX_DIR)/rw_unix.c
	$(DO_O_CC)

$(BUILDDIR)/client/glob.o :       $(UNIX_DIR)/glob.c
	$(DO_CC)

$(BUILDDIR)/client/net_udp.o :    $(UNIX_DIR)/net_udp.c
	$(DO_CC)

$(BUILDDIR)/client/qal_unix.o :  $(UNIX_DIR)/qal_unix.c
	$(DO_CC) $(OPENALCFLAGS)

$(BUILDDIR)/client/cl_http.o :   $(CLIENT_DIR)/cl_http.c
	$(DO_CC) $(CURLCFLAGS)

$(BUILDDIR)/ref_gl/r_bloom.o :        $(REF_GL_DIR)/r_bloom.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_draw.o :        $(REF_GL_DIR)/r_draw.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_light.o :       $(REF_GL_DIR)/r_light.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_main.o :       $(REF_GL_DIR)/r_main.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_misc.o :       $(REF_GL_DIR)/r_misc.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_script.o :       $(REF_GL_DIR)/r_script.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_surf.o :       $(REF_GL_DIR)/r_surf.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_warp.o :        $(REF_GL_DIR)/r_warp.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_image.o :       $(REF_GL_DIR)/r_image.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_mesh.o :        $(REF_GL_DIR)/r_mesh.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_model.o :       $(REF_GL_DIR)/r_model.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_math.o :	    $(REF_GL_DIR)/r_math.c
	$(DO_GL_SHLIB_CC)
	
$(BUILDDIR)/ref_gl/r_particle.o :	    $(REF_GL_DIR)/r_particle.c
	$(DO_GL_SHLIB_CC)
	
$(BUILDDIR)/ref_gl/r_postprocess.o :	    $(REF_GL_DIR)/r_postprocess.c
	$(DO_GL_SHLIB_CC)
	
$(BUILDDIR)/ref_gl/r_shadowmaps.o:     $(REF_GL_DIR)/r_shadowmaps.c
	$(DO_GL_SHLIB_CC)
	
$(BUILDDIR)/ref_gl/r_shadows.o:     $(REF_GL_DIR)/r_shadows.c
	$(DO_GL_SHLIB_CC)
	
$(BUILDDIR)/ref_gl/r_varray.o:     $(REF_GL_DIR)/r_varray.c
	$(DO_GL_SHLIB_CC)
	
$(BUILDDIR)/ref_gl/r_vbo.o:     $(REF_GL_DIR)/r_vbo.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/qgl_unix.o :      $(UNIX_DIR)/qgl_unix.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/gl_glx.o :      $(UNIX_DIR)/gl_glx.c
	$(DO_GL_SHLIB_CC)

#############################################################################
# DEDICATED SERVER
#############################################################################

CRDED_OBJS = \
	\

=== debian/changelog ===
alien-arena (7.40-2) unstable; urgency=low

  * Fix bashism in launch-server script (closes: #581481).
  * Add dependency on libopenal1 (closes: #588088).
  * Bump standards version to 3.9.1 (no changes required).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 25 Jul 2010 23:11:55 -0400

alien-arena (7.40-1) unstable; urgency=low

  * New upstream release
    - Five new maps!
    - Two new weapon models.
    - Improvements to the renderer.
    - A variety of gameplay changes and tweaks.
    - Antilag bugfixes.
    - Revamped menu.
  * Drop security patches (all of them have been applied upstream now).
  * The watch file is currently broken and unfixable due to upstream's file
    naming scheme for this version (they have indicated that they will fix
    this in future releases).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 07 May 2010 22:09:24 -0400

alien-arena (7.33-6) unstable; urgency=high

  * Fix a client buffer overflow vulnerability.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 18 Apr 2010 17:44:27 -0400

alien-arena (7.33-5) unstable; urgency=high

  * Fix a server denial-of-service issue: clients were able crash the server
    with a malformed "download" command (closes: #575621).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 02 Apr 2010 18:39:50 -0400

alien-arena (7.33-4) unstable; urgency=low

  * Apply patch to support kfreebsd architectures (closes: #573790).
    - Thanks to Cyril Brulebois for the patch!

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 13 Mar 2010 20:33:43 -0500

alien-arena (7.33-3) unstable; urgency=low

  * Use dos2unix instead of tofrodos since it has been removed.
  * Bump standards version to 3.8.4 (no changes required).
  * Update launch-server and kill-runaway-crded scripts to use new config
    file location.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 13 Mar 2010 11:58:37 -0500

=== debian/control ===
Source: alien-arena
Section: contrib/games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Michael Gilbert <michael.s.gilbert@gmail.com>, Barry deFreese <bddebian@comcast.net>
Build-Depends: debhelper (>= 5), sharutils, dos2unix, libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev, libjpeg62-dev | libjpeg-dev, libpng12-dev | libpng-dev, libxxf86vm-dev, libxxf86dga-dev, libxext-dev, libx11-dev, libcurl4-gnutls-dev | libcurl3-gnutls-dev, libopenal-dev, libvorbis-dev
Standards-Version: 3.9.1
Homepage: http://red.planetarena.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/alien-arena/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/alien-arena/?op=log

Package: alien-arena
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, alien-arena-common (= ${binary:Version}), libopenal1
Description: Standalone 3D first person online deathmatch shooter
 ALIEN ARENA is a standalone 3D first person online deathmatch shooter
 crafted from the original source code of Quake II and Quake III, released
 by id Software under the GPL license. With features including 32 bit
 graphics, new particle engine and effects, light blooms, reflective water,
 hi resolution textures and skins, hi poly models, stain maps, ALIEN ARENA
 pushes the envelope of graphical beauty rivaling today's top games.
 .
 This package installs the SDL client for Alien Arena.

Package: alien-arena-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, alien-arena-common (= ${binary:Version}), ruby
Description: Dedicated server for Alien Arena
 ALIEN ARENA is a standalone 3D first person online deathmatch shooter
 crafted from the original source code of Quake II and Quake III, released
 by id Software under the GPL license. With features including 32 bit
 graphics, new particle engine and effects, light blooms, reflective water,
 hi resolution textures and skins, hi poly models, stain maps, ALIEN ARENA
 pushes the envelope of graphical beauty rivaling today's top games.
 .
 This package installs the dedicated server for Alien Arena.

Package: alien-arena-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, alien-arena-data (>= ${source:Upstream-Version})
Replaces: alien-arena (<< 7.33-1)
Description: Common files for Alien Arena client and server
 ALIEN ARENA is a standalone 3D first person online deathmatch shooter
 crafted from the original source code of Quake II and Quake III, released
 by id Software under the GPL license. With features including 32 bit
 graphics, new particle engine and effects, light blooms, reflective water,
 hi resolution textures and skins, hi poly models, stain maps, ALIEN ARENA
 pushes the envelope of graphical beauty rivaling today's top games.
 .
 This package installs the common files for Alien Arena.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

# Used for cross-compiling.
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
   OPTIMIZED_CFLAGS=no
else
   OPTIMIZED_CFLAGS=yes
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
   TYPE=release
else
   TYPE=debug
endif

fromdos: fromdos-stamp
fromdos-stamp:
	dh_testdir
	dos2unix source/server/sv_main.c
	touch fromdos-stamp

build: fromdos build-stamp
build-stamp:
	dh_testdir
	cd source && \
		$(MAKE) build-$(TYPE) \
		OPTIMIZED_CFLAGS=$(OPTIMIZED_CFLAGS) CC=$(DEB_HOST_GNU_TYPE)-gcc
	touch build-stamp

clean: clean-patched todos
clean-patched:
	dh_testdir
	dh_testroot
	cd source && $(MAKE) uninstall distclean
	dh_clean
	[ ! -f build-stamp ] || rm build-stamp

todos:
	dh_testdir
	unix2dos source/server/sv_main.c
	[ ! -f fromdos-stamp ] || rm fromdos-stamp

install: build
	dh_testdir
	dh_testroot
	dh_install
# Rename png icon
	uudecode -o \
		debian/alien-arena/usr/share/pixmaps/alien-arena.png \
		debian/alien-arena.png.uu

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -palien-arena
	dh_strip -palien-arena-server
	dh_strip -palien-arena-common
endif
	dh_installchangelogs -a
	dh_installdocs -a -Xlicense.txt
	dh_installman -palien-arena debian/alien-arena.6
	dh_installman -palien-arena-server debian/alien-arena-server.6
	dh_installdirs -a
	dh_link -a
	dh_installmenu -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_compress -a
	dh_fixperms -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Build architecture-independent files here.
binary-indep: build install

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary-indep binary install

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g;s/\-.*$//g" \
http://icculus.org/alienarena/Files/alienarena(.*)\.zip

## alien-arena 7.51

=== debian/changelog ===
alien-arena (7.51-3) unstable; urgency=low

  * Team upload.
  * Make alien-arena and alien-arena-server binary packages depend on
    alien-arena-data. This allows users' to have working installation of the
    game after they apt-get install alien-arena or alien-arena-server.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 06 Jun 2011 13:42:17 +0200

alien-arena (7.51-2) unstable; urgency=low

  * Team upload.
  * Fix typo in /usr/share/applications/alien-arena.desktop. Thanks to Andrea
    Carpineti for the patch! (Closes: #619887)
  * Add an Italian translation to /usr/share/applications/alien-arena.desktop.
    Thanks again to Andrea Carpineti!
  * Add a German translation to /usr/share/applications/alien-arena.desktop.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 28 Mar 2011 16:11:13 +0200

alien-arena (7.51-1) unstable; urgency=low

  * New upstream release.
    - Refresh debianization patches.
    - Use new "COR_GAME" environment variable to set config location.
    - Drop a lot of patches due to new upstream features and new build system.
    - Remove alien-arena-common package as its no longer needed.
  * Update watch file to support new upstream naming scheme.
  * Update upstream tarball script to support upstream changes.
  * Delete png icon (using xpm file instead).
  * Delete security patches, which were already unapplied in 7.40, but were
    still present in the source.
  * Use new simplifed debian/rules format.
  * Set dm-upload-allowed.
  * Build-depend on libfreetype6-dev.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 13 Mar 2011 14:05:15 -0400

=== debian/control ===
Source: alien-arena
Section: contrib/games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Michael Gilbert <michael.s.gilbert@gmail.com>, Barry deFreese <bddebian@comcast.net>
Build-Depends:
 debhelper (>= 8),
 sharutils,
 libglu1-mesa-dev | libglu-dev,
 libgl1-mesa-dev | libgl-dev,
 libjpeg62-dev | libjpeg-dev,
 libpng12-dev | libpng-dev,
 libxxf86vm-dev, libxxf86dga-dev,
 libxext-dev,
 libx11-dev,
 libcurl4-gnutls-dev | libcurl3-gnutls-dev,
 libopenal-dev,
 libvorbis-dev,
 libfreetype6-dev
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
Homepage: http://red.planetarena.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/alien-arena/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/alien-arena/?op=log

Package: alien-arena
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libopenal1,
 alien-arena-data
Description: Standalone 3D first person online deathmatch shooter
 ALIEN ARENA is a standalone 3D first person online deathmatch shooter
 crafted from the original source code of Quake II and Quake III, released
 by id Software under the GPL license. With features including 32 bit
 graphics, new particle engine and effects, light blooms, reflective water,
 hi resolution textures and skins, hi poly models, stain maps, ALIEN ARENA
 pushes the envelope of graphical beauty rivaling today's top games.
 .
 This package installs the SDL client for Alien Arena.

Package: alien-arena-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ruby,
 alien-arena-data
Description: Dedicated server for Alien Arena
 ALIEN ARENA is a standalone 3D first person online deathmatch shooter
 crafted from the original source code of Quake II and Quake III, released
 by id Software under the GPL license. With features including 32 bit
 graphics, new particle engine and effects, light blooms, reflective water,
 hi resolution textures and skins, hi poly models, stain maps, ALIEN ARENA
 pushes the envelope of graphical beauty rivaling today's top games.
 .
 This package installs the dedicated server for Alien Arena.

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g;s/\-.*$//g" \
http://icculus.org/alienarena/Files/alienarena-(.*)\-*.tar.gz

## alien-arena 7.53+dfsg

=== debian/changelog ===
alien-arena (7.53+dfsg-3) unstable; urgency=low

  * update my email address.
  * fix watch file mangling (closes: #671685).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 07 May 2012 13:29:57 -0400

alien-arena (7.53+dfsg-2) unstable; urgency=low

  * fix data path link creation (closes: #655031).
  * build-depend only on libpng-dev (closes: #662265).
  * bump standards version to 3.9.3.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 05 Apr 2012 16:20:05 -0400

alien-arena (7.53+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.2.
  * Update tarball cleaning scripts.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 29 Dec 2011 16:27:28 -0500

alien-arena (7.51-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev (Closes: #648303).

 -- Didier Raboud <odyx@debian.org>  Mon, 21 Nov 2011 09:59:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: contrib/games
 Priority: extra
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Michael Gilbert <michael.s.gilbert@gmail.com>, Barry deFreese <bddebian@comcast.net>
+Uploaders: Michael Gilbert <mgilbert@debian.org>, Barry deFreese <bddebian@comcast.net>
 Build-Depends:
  debhelper (>= 8),
  sharutils,
  libglu1-mesa-dev | libglu-dev,
  libgl1-mesa-dev | libgl-dev,
- libjpeg62-dev | libjpeg-dev,
- libpng12-dev | libpng-dev,
+ libjpeg-dev,
+ libpng-dev,
  libxxf86vm-dev, libxxf86dga-dev,
  libxext-dev,
  libx11-dev,
@@ -17,10 +17,10 @@
  libopenal-dev,
  libvorbis-dev,
  libfreetype6-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Homepage: http://red.planetarena.org
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/alien-arena/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/alien-arena
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/alien-arena/?op=log
 
 Package: alien-arena

## alien-arena 7.66%2Bdfsg

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g;s/\-.*$//g,dversionmangle=s/\+dfsg$//g" \
http://icculus.org/alienarena/Files/alienarena-(.*)\-*.tar.gz

## alien-arena 7.66+dfsg

=== Makefile ===
# FUSE makefile
CC?=gcc

# Compiler options
CFLAGS=-DLINUX -c -Wall -g

# Linker options
LDFLAGS=

# Paths for dependent include files
CFLAGS+=`pkg-config --cflags gtk+-2.0`
CFLAGS+=`pkg-config --cflags libglade-2.0`

# Paths for dependent libraries
LDFLAGS+=`pkg-config --libs gtk+-2.0`
LDFLAGS+=`pkg-config --libs libglade-2.0`

# The build sources themselves
SRCS = main.c slink.c models.c config.c
HDRS = slink.h models.h global.h config.h
OBJS = $(subst .c,.o,$(SRCS))

# The files put into releases
RELEASE_FILES_LINUX = Makefile $(SRCS) $(HDRS) fuse.glade fuse.ico COPYING.TXT BUILDING.TXT
RELEASE_FILES_WINDOWS = fuse.exe fuse.glade iconv.dll libglade-2.0-0.dll COPYING.TXT


all: FUSE
	@echo "*** Don't forget to edit config/games.xml to set your paths ***"

FUSE: $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) -o FUSE

.c.o:
	$(CC) $(CFLAGS) $*.c

depend:
	makedepend -- $(CFLAGS) -- $(SRCS)

clean:
	rm -f $(OBJS) FUSE


release-windows: fuse.exe
	@mkdir FUSE
	cp $(RELEASE_FILES_WINDOWS) FUSE
	zip -r FUSE.zip FUSE
	@rm -rf FUSE
	@echo ***Windows release complete***
	
release-linux: FUSE
	@mkdir fuse
	@cp $(RELEASE_FILES_LINUX) fuse
	tar czf fuse.tar.gz fuse
	@rm -rf fuse
	@echo ***Linux release complete***

release-all: release-linux release-windows

release-clean:
	rm -f fuse.zip fuse.tar.gz

clean-all: clean release-clean

# DO NOT DELETE

=== debian/changelog ===
alien-arena (7.66+dfsg-5) unstable; urgency=medium

  * Team upload
  * Convert from svn to git
    - Update Vcs-*
    - Add debian/gbp.conf
  * Replace deprecated Priority: extra with Priority: optional

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Apr 2018 22:59:52 +0100

alien-arena (7.66+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Add gcc7.patch and fix FTBFS with GCC 7. (Closes: #871218)
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.1.
  * Vcs-Browser: Use https.
  * Drop deprecated menu file and xpm icon.
  * Add keywords to desktop file.

 -- Markus Koschany <apo@debian.org>  Fri, 18 Aug 2017 23:35:09 +0200

alien-arena (7.66+dfsg-3) unstable; urgency=medium

  * Install the desktop file again (closes: #791780).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 17 Apr 2016 03:55:38 +0000

alien-arena (7.66+dfsg-2) unstable; urgency=medium

  * Enable all build hardening flags.
  * Add pkg-config build-dependency (closes: #749665).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 29 Jun 2014 05:27:22 +0000

alien-arena (7.66+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Adds support for powerpc (closes: #446515).
  * Game launching should be more reliable now (closes: #700705).
  * Include alien-arena icon in menus (closes: #727024).
  * Use dh-autoreconf (closes: #727843).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 29 Mar 2014 03:17:16 +0000

=== debian/control ===
Source: alien-arena
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Michael Gilbert <mgilbert@debian.org>, Barry deFreese <bddebian@comcast.net>
Build-Depends:
 debhelper (>= 10),
 sharutils,
 libglu1-mesa-dev,
 libgl1-mesa-dev,
 libjpeg-dev,
 libpng-dev,
 libxxf86vm-dev,
 libxxf86dga-dev,
 libxext-dev,
 libx11-dev,
 libcurl4-gnutls-dev,
 libopenal-dev,
 libvorbis-dev,
 libfreetype6-dev,
 pkg-config,
Standards-Version: 4.0.1
Homepage: http://red.planetarena.org
Vcs-Git: https://salsa.debian.org/games-team/alien-arena.git
Vcs-Browser: https://salsa.debian.org/games-team/alien-arena

Package: alien-arena
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libopenal1,
 alien-arena-data,
Description: Standalone 3D first person online deathmatch shooter
 ALIEN ARENA is a standalone 3D first person online death-match shooter crafted
 from the original source code of Quake II and Quake III, released by id
 Software under the GPL license. With features including 32-bit graphics, a new
 particle engine and effects, light blooms, reflective water, hi-resolution
 textures and skins, and hi-poly models and stain maps, ALIEN ARENA pushes the
 envelope of graphical beauty rivaling today's top games.
 .
 This package installs the SDL client for Alien Arena.

Package: alien-arena-server
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ruby,
 alien-arena-data,
Description: Dedicated server for Alien Arena
 ALIEN ARENA is a standalone 3D first person online death-match shooter crafted
 from the original source code of Quake II and Quake III, released by id
 Software under the GPL license. With features including 32-bit graphics, a new
 particle engine and effects, light blooms, reflective water, hi-resolution
 textures and skins, and hi-poly models and stain maps, ALIEN ARENA pushes the
 envelope of graphical beauty rivaling today's top games.
 .
 This package installs the dedicated server for Alien Arena.

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh ${@}

override_dh_clean:
	dh_clean -- aclocal.m4 config.log configure game_data.am Makefile.in
	rm -rf config

## alien-arena 7.71.3+dfsg

=== debian/changelog ===
alien-arena (7.71.3+dfsg-3) unstable; urgency=medium

  * Team upload.  
  * change default irc server
  * Force http 1.1 for http download

 -- Raoul de Raadt <raoulderaadt@tiscali.nl>  Sun, 12 Feb 2023 17:25:03 +0100

alien-arena (7.71.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  
  [ Michael Gilbert ]
  * Remove myself from the uploaders.

  [ Raoul de Raadt ]
  * Patch for odeconfig.h to fix build issues for other architectures

 -- Raoul de Raadt <raoulderaadt@tiscali.nl>  Sun, 05 Feb 2023 22:37:15 +0100

alien-arena (7.71.3+dfsg-1) unstable; urgency=medium

  [ Phil Morrell ]
  * Team upload.
  * monitor svn tags for new versions
  * use copyright-format 1.0
  * use Files-Excluded, drop create-upstream-tarballs

  [ Raoul de Raadt ]
  * Changed copyright file according to 7.71.3
  * Removed old patches and exclude adivtab.h
  * New upstream version 7.71.3

 -- Raoul de Raadt <raoulderaadt@tiscali.nl>  Sat, 21 Jan 2023 13:48:59 +0100

alien-arena (7.66+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ Simon McVittie ]
  * Convert from svn to git.
      - Update Vcs-*
      - Add debian/gbp.conf

  [ Markus Koschany ]
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Remove obsolete NEWS file.
  * Work around FTBFS with GCC 10 by building with -fcommon. (Closes: #966190)

 -- Markus Koschany <apo@debian.org>  Sun, 04 Oct 2020 16:17:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: contrib/games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Michael Gilbert <mgilbert@debian.org>, Barry deFreese <bddebian@comcast.net>
+Uploaders: Barry deFreese <bddebian@comcast.net>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  sharutils,
  libglu1-mesa-dev,
  libgl1-mesa-dev,
@@ -19,8 +19,8 @@
  libvorbis-dev,
  libfreetype6-dev,
  pkg-config,
-Standards-Version: 4.0.1
-Homepage: http://red.planetarena.org
+Standards-Version: 4.5.0
+Homepage: https://martianbackup.com
 Vcs-Git: https://salsa.debian.org/games-team/alien-arena.git
 Vcs-Browser: https://salsa.debian.org/games-team/alien-arena
 
@@ -30,7 +30,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  libopenal1,
- alien-arena-data,
+ alien-arena-data (>= 7.71.3~),
 Description: Standalone 3D first person online deathmatch shooter
  ALIEN ARENA is a standalone 3D first person online death-match shooter crafted
  from the original source code of Quake II and Quake III, released by id
@@ -47,7 +47,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  ruby,
- alien-arena-data,
+ alien-arena-data (>= 7.71.3~),
 Description: Dedicated server for Alien Arena
  ALIEN ARENA is a standalone 3D first person online death-match shooter crafted
  from the original source code of Quake II and Quake III, released by id

=== debian/rules ===
#! /usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh ${@}

override_dh_clean:
	dh_clean -- aclocal.m4 config.log configure game_data.am Makefile.in
	rm -rf config

override_dh_missing:
	dh_missing --list-missing
